Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.display.scrolled
Class ScrolledBookDataDisplay

    java.lang.Object
      org.crosswire.bibledesktop.display.proxy.ProxyBookDataDisplay
          org.crosswire.bibledesktop.display.scrolled.ScrolledBookDataDisplay

All Implemented Interfaces:
  BookDataDisplay

    public class ScrolledBookDataDisplay

extends ProxyBookDataDisplay

An inner component of Passage pane that can't show the list.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`private JScrollPane` | `scrView` The scroller for the TextPaneBookDataDisplay component

Constructor Summary
`ScrolledBookDataDisplay(BookDataDisplay child)` Simple Constructor

Method Summary
`Component` | `getComponent()` Accessor for the Swing component

Methods inherited from class org.crosswire.bibledesktop.display.proxy.ProxyBookDataDisplay
`addURLEventListener, copy, getBook, getKey, getProxy, refresh, removeURLEventListener, setBookData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### scrView

    private JScrollPane scrView

  The scroller for the TextPaneBookDataDisplay component

Constructor Detail

### ScrolledBookDataDisplay

    public ScrolledBookDataDisplay(BookDataDisplay child)

  Simple Constructor

Method Detail

### getComponent

    public Component getComponent()

  Description copied from interface: `BookDataDisplay`
  Accessor for the Swing component

  Specified by:
    `getComponent` in interface `BookDataDisplay`
  Overrides:
    `getComponent` in class `ProxyBookDataDisplay`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD